# -*- encoding: utf-8 -*-
# stub: cloud-mu 3.5.1 ruby modules

Gem::Specification.new do |s|
  s.name = "cloud-mu".freeze
  s.version = "3.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["modules".freeze]
  s.authors = ["John Stange".freeze, "Robert Patt-Corner".freeze, "Ryan Bolyard".freeze, "Zach Rowe".freeze]
  s.date = "2021-02-25"
  s.description = "The eGTLabs Mu toolkit for unified cloud deployments. This gem contains the Mu deployment interface to cloud provider APIs. It will generate a sample configuration the first time it is invoked.\n\nMu will attempt to autodetect when it's being run in a virtual machine on a known cloud provider and activate the appropriate API with machine-based credentials. Installing this gem on an Amazon Web Service instance, for example, should automatically enable the MU::Cloud::AWS layer and attempt to use the machine's IAM Profile to communicate with the AWS API.\n\n".freeze
  s.email = "eGTLabs@eglobaltech.com".freeze
  s.executables = ["mu-gcp-setup".freeze, "mu-load-config.rb".freeze, "mu-self-update".freeze, "mu-node-manage".freeze, "mu-findstray-tests".freeze, "mu-aws-setup".freeze, "mu-azure-setup".freeze, "mu-gen-docs".freeze, "mu-tunnel-nagios".freeze, "mu-ssh".freeze, "mu-refresh-ssl".freeze, "mu-gen-env".freeze, "mu-configure".freeze, "mu-momma-cat".freeze, "mu-ansible-secret".freeze, "mu-run-tests".freeze, "mu-firewall-allow-clients".freeze, "mu-deploy".freeze, "mu-user-manage".freeze, "mu-adopt".freeze, "mu-upload-chef-artifacts".freeze, "mu-azure-tests".freeze, "mu-cleanup".freeze]
  s.files = ["bin/mu-adopt".freeze, "bin/mu-ansible-secret".freeze, "bin/mu-aws-setup".freeze, "bin/mu-azure-setup".freeze, "bin/mu-azure-tests".freeze, "bin/mu-cleanup".freeze, "bin/mu-configure".freeze, "bin/mu-deploy".freeze, "bin/mu-findstray-tests".freeze, "bin/mu-firewall-allow-clients".freeze, "bin/mu-gcp-setup".freeze, "bin/mu-gen-docs".freeze, "bin/mu-gen-env".freeze, "bin/mu-load-config.rb".freeze, "bin/mu-momma-cat".freeze, "bin/mu-node-manage".freeze, "bin/mu-refresh-ssl".freeze, "bin/mu-run-tests".freeze, "bin/mu-self-update".freeze, "bin/mu-ssh".freeze, "bin/mu-tunnel-nagios".freeze, "bin/mu-upload-chef-artifacts".freeze, "bin/mu-user-manage".freeze]
  s.homepage = "https://github.com/cloudamatic/mu".freeze
  s.licenses = ["BSD-3-Clause-Attribution".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "The eGTLabs Mu toolkit for unified cloud deployments".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.5"])
    s.add_runtime_dependency(%q<aws-sdk>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<azure_sdk>.freeze, ["~> 0.65"])
    s.add_runtime_dependency(%q<bundler>.freeze, ["~> 2.1.4"])
    s.add_runtime_dependency(%q<chronic_duration>.freeze, ["~> 0.10"])
    s.add_runtime_dependency(%q<color>.freeze, ["~> 1.8"])
    s.add_runtime_dependency(%q<colorize>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<erubis>.freeze, ["~> 2.7"])
    s.add_runtime_dependency(%q<google-api-client>.freeze, ["~> 0.50.0"])
    s.add_runtime_dependency(%q<googleauth>.freeze, ["~> 0.6"])
    s.add_runtime_dependency(%q<inifile>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<json-schema>.freeze, ["~> 2.8"])
    s.add_runtime_dependency(%q<net-ldap>.freeze, ["~> 0.16"])
    s.add_runtime_dependency(%q<net-ssh>.freeze, ["~> 4.2"])
    s.add_runtime_dependency(%q<net-ssh-multi>.freeze, ["~> 1.2", ">= 1.2.1"])
    s.add_runtime_dependency(%q<netaddr>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.10"])
    s.add_runtime_dependency(%q<openssl-oaep>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<optimist>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<rack>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<ruby-graphviz>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<rubocop>.freeze, ["~> 0.58"])
    s.add_runtime_dependency(%q<rubyzip>.freeze, ["~> 2.3"])
    s.add_runtime_dependency(%q<simple-password-gen>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<slack-notifier>.freeze, ["~> 2.3"])
    s.add_runtime_dependency(%q<solve>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<thin>.freeze, ["~> 1.7"])
    s.add_runtime_dependency(%q<winrm>.freeze, ["~> 2.3", ">= 2.3.4"])
    s.add_runtime_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<addressable>.freeze, ["~> 2.5"])
    s.add_dependency(%q<aws-sdk>.freeze, ["~> 3.0"])
    s.add_dependency(%q<azure_sdk>.freeze, ["~> 0.65"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1.4"])
    s.add_dependency(%q<chronic_duration>.freeze, ["~> 0.10"])
    s.add_dependency(%q<color>.freeze, ["~> 1.8"])
    s.add_dependency(%q<colorize>.freeze, ["~> 0.8"])
    s.add_dependency(%q<erubis>.freeze, ["~> 2.7"])
    s.add_dependency(%q<google-api-client>.freeze, ["~> 0.50.0"])
    s.add_dependency(%q<googleauth>.freeze, ["~> 0.6"])
    s.add_dependency(%q<inifile>.freeze, ["~> 3.0"])
    s.add_dependency(%q<json-schema>.freeze, ["~> 2.8"])
    s.add_dependency(%q<net-ldap>.freeze, ["~> 0.16"])
    s.add_dependency(%q<net-ssh>.freeze, ["~> 4.2"])
    s.add_dependency(%q<net-ssh-multi>.freeze, ["~> 1.2", ">= 1.2.1"])
    s.add_dependency(%q<netaddr>.freeze, ["~> 2.0"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.10"])
    s.add_dependency(%q<openssl-oaep>.freeze, ["~> 0.1"])
    s.add_dependency(%q<optimist>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rack>.freeze, ["~> 2.0"])
    s.add_dependency(%q<ruby-graphviz>.freeze, ["~> 1.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.58"])
    s.add_dependency(%q<rubyzip>.freeze, ["~> 2.3"])
    s.add_dependency(%q<simple-password-gen>.freeze, ["~> 0.1"])
    s.add_dependency(%q<slack-notifier>.freeze, ["~> 2.3"])
    s.add_dependency(%q<solve>.freeze, ["~> 4.0"])
    s.add_dependency(%q<thin>.freeze, ["~> 1.7"])
    s.add_dependency(%q<winrm>.freeze, ["~> 2.3", ">= 2.3.4"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
